% Dokumentklasse „Protokoll 2.0“ für den Teckids e.V.
%
% Copyright © 2015, 2017, 2018
%	Thorsten Glaser <thorsten.glaser@teckids.org>
%
% Provided that these terms and disclaimer and all copyright notices
% are retained or reproduced in an accompanying document, permission
% is granted to deal in this work without restriction, including un‐
% limited rights to use, publicly perform, distribute, sell, modify,
% merge, give away, or sublicence.
%
% This work is provided “AS IS” and WITHOUT WARRANTY of any kind, to
% the utmost extent permitted by applicable law, neither express nor
% implied; without malicious intent or gross negligence. In no event
% may a licensor, author or contributor be held liable for indirect,
% direct, other damage, loss, or other issues arising in any way out
% of dealing in the work, even if advised of the possibility of such
% damage or existence of a defect, except proven that it results out
% of said person’s immediate fault when using the work as intended.

\NeedsTeXFormat{LaTeX2e}%
\ProvidesClass{teckids2proto}[2018/08/23 0.1 Teckids Protokoll TeX/LaTeX class, second epoch]%

\PassOptionsToPackage{paper=a4}{typearea}%
\RequirePackage{fancyhdr}%
\LoadClass{scrartcl}%
\RequirePackage{teckids2style}%

\newcommand{\teckidsprotohdr}[1]{%
 \teckidshdr{#1}%
 \fancyhf{}%
 \fancyfoot[LO,RE]{\leavevmode\usekomafont{pageheadfoot}%
  \includegraphics[width=4cm,valign=t]{teckids_logo}%
 }%
 \fancyfoot[C]{\leavevmode\usekomafont{pageheadfoot}\itshape #1}%
 \fancyfoot[RO,LE]{\leavevmode\usekomafont{pageheadfoot}\pagemark}%
}%

\teckidsgeometry[twoside,top=0.8cm,headheight=0mm,headsep=0mm]%
