% Dokumentklasse „Urkunde“ für den Teckids e.V.
%
% Copyright © 2018
%	mirabilos <thorsten.glaser@teckids.org>
%
% Provided that these terms and disclaimer and all copyright notices
% are retained or reproduced in an accompanying document, permission
% is granted to deal in this work without restriction, including un‐
% limited rights to use, publicly perform, distribute, sell, modify,
% merge, give away, or sublicence.
%
% This work is provided “AS IS” and WITHOUT WARRANTY of any kind, to
% the utmost extent permitted by applicable law, neither express nor
% implied; without malicious intent or gross negligence. In no event
% may a licensor, author or contributor be held liable for indirect,
% direct, other damage, loss, or other issues arising in any way out
% of dealing in the work, even if advised of the possibility of such
% damage or existence of a defect, except proven that it results out
% of said person’s immediate fault when using the work as intended.

\NeedsTeXFormat{LaTeX2e}%
\ProvidesClass{teckids2jahresbericht}[2018/08/21 1.0 Teckids Urkunde class]%

\PassOptionsToPackage{paper=a4}{typearea}%
\RequirePackage{fancyhdr}%
\LoadClass{scrartcl}%
\RequirePackage{teckids2style}%

\teckidsgeometry[hmargin=2cm,top=0.5cm]%

% run parent style constructor
\teckidshdr[\the\year{}]{Urkunde}%
% clear page design
\fancyhf{}%
\renewcommand{\headrulewidth}{0pt}%
\renewcommand{\footrulewidth}{0pt}%
