% Dokumentklasse „Unterrichtsmaterial 2.0“ für den Teckids e.V.
%
% Copyright © 2015, 2017, 2018
%	Thorsten Glaser <thorsten.glaser@teckids.org>
% Copyright © 2013
%	Dominik George <nik@naturalnet.de>
%
% Provided that these terms and disclaimer and all copyright notices
% are retained or reproduced in an accompanying document, permission
% is granted to deal in this work without restriction, including un‐
% limited rights to use, publicly perform, distribute, sell, modify,
% merge, give away, or sublicence.
%
% This work is provided “AS IS” and WITHOUT WARRANTY of any kind, to
% the utmost extent permitted by applicable law, neither express nor
% implied; without malicious intent or gross negligence. In no event
% may a licensor, author or contributor be held liable for indirect,
% direct, other damage, loss, or other issues arising in any way out
% of dealing in the work, even if advised of the possibility of such
% damage or existence of a defect, except proven that it results out
% of said person’s immediate fault when using the work as intended.

\NeedsTeXFormat{LaTeX2e}%
\ProvidesClass{teckids2pubmat}[2018/08/21 1.3 Teckids OER TeX/LaTeX class, second epoch]%

\PassOptionsToPackage{paper=a4}{typearea}%
\RequirePackage{fancyhdr}%
\LoadClass{scrartcl}%
\RequirePackage{teckids2style}%

\newcommand{\teckidspubmatnamegroup}{%
 \vspace{2cm}%
 Name: \line(1,0){72}\hfill{}%
 Klasse: \line(1,0){18}\hfill{}%
 Gruppe: \line(1,0){18}%
}%

% How to use:
% \documentclass{teckids2pubmat}%
% \dokumentLizenzMirOS% oder \dokumentLizenzCCBYSAfour% oder \dokumentLizenzCCBYSAthreeDE%
% \teckidshdr[2017]{Dokumenttitel}% für allgemeine Dokumente, geht auch ohne Jahr
% \teckidshdr[2017 Name,]{Dokumenttitel}% besser dies verwenden, Autoren aufzählen
% % Mehrere Autorennamen durch Komma+Leerzeichen trennen, schließendes Komma
